# $Revision: 1.10 $, $Date: 2007/08/01 11:41:07 $
%define	_hordeapp sam
%define	_snap	2007-03-15
#define	_rc		rc1
%define	_rel	2

%include	/usr/lib/rpm/macros.php
Summary:	Sam - module permitting each user to manage his SpamAssassin or Amavisd-new preferences
Summary(pl.UTF-8):	Sam - moduł pozwalający użytkownikowi zarządzać swoimi regułami SpamAssassina oraz Amavisd-new
Name:		horde-%{_hordeapp}
Version:	0.1
Release:	%{?_rc:0.%{_rc}.}%{?_snap:0.%(echo %{_snap} | tr -d -).}%{_rel}
License:	GPL v2
Group:		Applications/WWW
Source0:	ftp://ftp.horde.org/pub/snaps/%{_snap}/%{_hordeapp}-HEAD-%{_snap}.tar.gz
# Source0-md5:	ada76168961e20855f797e898caf88fe
Source1:	%{_hordeapp}.conf
URL:		http://www.horde.org/sam/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.264
BuildRequires:	tar >= 1:1.15.1
Requires:	apache(mod_access)
Requires:	horde >= 3.0
Requires:	webapps
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# horde accesses it directly in help->about
%define		_noautocompressdoc  CREDITS
%define		_noautoreq	'pear(Horde.*)'

%define		hordedir	/usr/share/horde
%define		_appdir		%{hordedir}/%{_hordeapp}
%define		_webapps	/etc/webapps
%define		_webapp		horde-%{_hordeapp}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
Sam is the Horde module permitting each user to manage his
SpamAssassin or Amavisd-new preferences. For example, it can authorize
to change SpamAssassin user scores, manage blacklist and whitelist.

User preferences can be stored in a variety of backends such as a SQL
database, LDAP storage or on an FTP server.

%description -l pl.UTF-8
Sam to moduł Horde pozwalający każdemu użytkownikowi zarządzać swoimi
regułami SpamAssassina oraz Amavisd-new. Na przykład umożliwia zmianę
punktacji SpamAssassina, zarządzanie czarnymi i białymi listami.

Konfiguracja użytkownika może być przechowywana na różnych mediach,
takich jak baza SQL, LDAP czy serwer FTP.

%prep
%setup -qcT -n %{?_snap:%{_hordeapp}-%{_snap}}%{!?_snap:%{_hordeapp}-%{version}%{?_rc:-%{_rc}}}
tar zxf %{SOURCE0} --strip-components=1

rm */.htaccess
for i in config/*.dist; do
	mv $i config/$(basename $i .dist)
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/docs}

cp -a *.php $RPM_BUILD_ROOT%{_appdir}
cp -a config/* $RPM_BUILD_ROOT%{_sysconfdir}
echo '<?php ?>' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/conf.php.bak
cp -a lib locale templates themes $RPM_BUILD_ROOT%{_appdir}

ln -s %{_sysconfdir} $RPM_BUILD_ROOT%{_appdir}/config
ln -s %{_docdir}/%{name}-%{version}/CREDITS $RPM_BUILD_ROOT%{_appdir}/docs
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/conf.php.bak ]; then
	install /dev/null -o root -g http -m660 %{_sysconfdir}/conf.php.bak
fi

# CHECK FIRST DOES IT HAVE SQL AND FILE THERE.
if [ "$1" = 1 ]; then
%banner %{name} -e <<-EOF
	IMPORTANT:
	If you are installing Sam for the first time, You may need to
	create the Sam database tables. You can find some scripts in:
	%{_docdir}/%{name}-%{version}/scripts/sql/
EOF
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc README docs/* scripts
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/conf.php
%attr(660,root,http) %config(noreplace) %ghost %{_sysconfdir}/conf.php.bak
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/[!c]*.php
%attr(640,root,http) %{_sysconfdir}/conf.xml

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/config
%{_appdir}/docs
%{_appdir}/lib
%{_appdir}/locale
%{_appdir}/templates
%{_appdir}/themes

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: horde-sam.spec,v $
Revision 1.10  2007/08/01 11:41:07  paszczus
- rel 2

Revision 1.9  2007/03/15 16:46:35  paszczus
- updated to 2007-03-15

Revision 1.8  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.6  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.5  2006/04/01 16:27:16  qboosh
- en and pl fixes

Revision 1.4  2006/03/29 09:19:01  glen
- GPL license doesn't require last section of en %description

Revision 1.3  2006/03/29 07:17:23  spider
- pl
- is last paragraph in eng description is needed ?

Revision 1.2  2006/03/28 22:35:03  glen
- checked license
- added md5, cleanups

Revision 1.1  2006/03/28 21:24:10  paszczus
- initial spec
